/dailyproduction#
Returns the daily gas production model for the lower 48, informed from pipeline scrapes, state data, and our short-term production forecast.
Endpoint#
POST |
https://hyperion.api.synmax.com/v4/dailyproduction |
Request Examples#
curl -X POST "https://hyperion.api.synmax.com/v4/dailyproduction" \
-H "Content-Type: application/json" \
-H "Access-Key: $API_TOKEN" \
-d '{}'
from synmax.hyperion.v4 import HyperionApiClient
SYNMAX_ACCESS_TOKEN = "<YOUR_API_TOKEN>"
hyperion_api_client = HyperionApiClient(access_token=SYNMAX_ACCESS_TOKEN)
daily_production_resp = hyperion_api_client.daily_production()
daily_production_df = daily_production_resp.df()
daily_production_df.head()
# Example of a Windows PowerShell request to the daily_production endpoint.
$headers = New-Object "System.Collections.Generic.Dictionary[[String],[String]]"
$headers.Add("access_key", "<YOUR_API_TOKEN>")
$headers.Add("Content-Type", "application/json")
$body = @"
{`"region_natgas`":[`"gulf`"],`"sub_region_natgas`":[`"Central - TX`",`"GOM`"]}
"@
$response = Invoke-RestMethod 'https://hyperion.api.synmax.com/v4/dailyproduction' -Method 'POST' -Headers $headers -Body $body
$response | ConvertTo-Json
Parameters#
Query#
Parameter |
Type |
Description |
Example |
|---|---|---|---|
aggregate_by |
string array |
Fields to aggregate over |
region_natgas |
date_prod_max |
— |
The date range maximum of production in YYYY-MM-DD format |
— |
date_prod_min |
— |
The date range minimum of production in YYYY-MM-DD format |
— |
region_natgas |
string array |
Region divisions based on natural gas production profiles |
west |
sub_region_natgas |
string array |
Subregion divisions based on natural gas production profiles |
Haynesville - TX |
Response#
Parameter |
Type |
Description |
Example |
|---|---|---|---|
date_prod |
— |
The date of production in YYYY-MM-DD format |
— |
prod_dry_gas_bcf_day |
number |
Daily dry gas production in billion cubic feet |
— |
region_natgas |
string |
Region divisions based on natural gas production profiles |
west |
sub_region_natgas |
string |
Subregion divisions based on natural gas production profiles |
Haynesville - TX |
Aggregation#
Supported parameters: date_prod, region_natgas, sub_region_natgas
Normal Output#
date_prod |
prod_dry_gas_bcf_day |
region_natgas |
sub_region_natgas |
|---|---|---|---|
2021-10-29 |
3.0592189397741127 |
gulf |
Central - TX |
2021-10-30 |
2.5029973143606377 |
gulf |
Central - TX |
2021-10-31 |
2.5029973143606377 |
gulf |
Central - TX |
2021-11-01 |
2.832608974941052 |
gulf |
Central - TX |
2021-11-02 |
3.031520224957505 |
gulf |
Central - TX |
2021-11-03 |
3.031520224957505 |
gulf |
Central - TX |
2021-11-04 |
2.777777134760563 |
gulf |
Central - TX |
2021-11-05 |
2.681529755720344 |
gulf |
Central - TX |
2021-11-06 |
3.2044388494586125 |
gulf |
Central - TX |
2021-11-07 |
3.2044388494586125 |
gulf |
Central - TX |